import '../build/CustomersServiceFactory.dart';
import 'package:pip_services3_container/pip_services3_container.dart';
import 'package:pip_services3_rpc/pip_services3_rpc.dart';

class CustomersProcess extends ProcessContainer
{
	CustomersProcess()
		: super('customers', 'Customers microservice')
	{
		factories.add(DefaultRpcFactory());
		factories.add(CustomersServiceFactory());
	}
}
