import 'dart:async';
import 'package:pip_services3_commons/pip_services3_commons.dart';
import '../../src/data/version1/data.dart';

abstract class ICustomersController
{
	Future<CustomerV1> createCustomer(String correlationId, CustomerV1 customer);
	Future<CustomerV1> updateCustomer(String correlationId, CustomerV1 customer);
	Future<CustomerV1> deleteCustomerById(String correlationId, String id);
	Future<CustomerV1> getCustomerById(String correlationId, String id);
	Future<DataPage<CustomerV1>> getCustomers(String correlationId, FilterParams filter, PagingParams paging, SortParams sort);
}
