import 'dart:async';
import 'package:pip_services3_commons/pip_services3_commons.dart';
import 'package:customers_microservice_dart/src/data/version1/data.dart';
import 'ICustomersClientV1.dart';

class CustomersNullClientV1 implements ICustomersClientV1
{

	@override
	Future<CustomerV1> createCustomer(String correlationId, CustomerV1 customer) async 
	{
		return null;
	}

	@override
	Future<CustomerV1> updateCustomer(String correlationId, CustomerV1 customer) async 
	{
		return null;
	}

	@override
	Future<CustomerV1> deleteCustomerById(String correlationId, String id) async 
	{
		return null;
	}

	@override
	Future<CustomerV1> getCustomerById(String correlationId, String id) async 
	{
		return null;
	}

	@override
	Future<DataPage<CustomerV1>> getCustomers(String correlationId, FilterParams filter, PagingParams paging, SortParams sort) async 
	{
		return null;
	}
}
