import 'dart:async';
import 'package:pip_services3_commons/pip_services3_commons.dart';
import '../data/version1/data.dart';

abstract class ICustomersPersistence
{
	Future<DataPage<CustomerV1>> getPageByFilter(String correlationId, FilterParams filter, PagingParams paging, SortParams sort);
	Future<CustomerV1> getOneById(String correlationId, String id);
	Future<CustomerV1> create(String correlationId, CustomerV1 customer);
	Future<CustomerV1> update(String correlationId, CustomerV1 customer);
	Future<CustomerV1> deleteById(String correlationId, String id);
}
